SDL_GamepadTouchpadEvent Struct Reference

`#include <SDL_events.h>`

## Data Fields

SDL_EventType | type
Uint32 | reserved
Uint64 | timestamp
SDL_JoystickID | which
Sint32 | touchpad
Sint32 | finger
float | x
float | y
float | pressure

## Detailed Description

Gamepad touchpad event structure (event.gtouchpad.*)

Since
  This struct is available since SDL 3.2.0.

Definition at line 684 of file SDL_events.h.

## Field Documentation

## finger

Sint32 SDL_GamepadTouchpadEvent::finger

The index of the finger on the touchpad

Definition at line 691 of file SDL_events.h.

## pressure

float SDL_GamepadTouchpadEvent::pressure

Normalized in the range 0...1

Definition at line 694 of file SDL_events.h.

## reserved

Uint32 SDL_GamepadTouchpadEvent::reserved

Definition at line 687 of file SDL_events.h.

## timestamp

Uint64 SDL_GamepadTouchpadEvent::timestamp

In nanoseconds, populated using SDL_GetTicksNS()

Definition at line 688 of file SDL_events.h.

## touchpad

Sint32 SDL_GamepadTouchpadEvent::touchpad

The index of the touchpad

Definition at line 690 of file SDL_events.h.

## type

SDL_EventType SDL_GamepadTouchpadEvent::type

SDL_EVENT_GAMEPAD_TOUCHPAD_DOWN or SDL_EVENT_GAMEPAD_TOUCHPAD_MOTION or SDL_EVENT_GAMEPAD_TOUCHPAD_UP

Definition at line 686 of file SDL_events.h.

## which

SDL_JoystickID SDL_GamepadTouchpadEvent::which

The joystick instance id

Definition at line 689 of file SDL_events.h.

## x

float SDL_GamepadTouchpadEvent::x

Normalized in the range 0...1 with 0 being on the left

Definition at line 692 of file SDL_events.h.

## y

float SDL_GamepadTouchpadEvent::y

Normalized in the range 0...1 with 0 being at the top

Definition at line 693 of file SDL_events.h.

The documentation for this struct was generated from the following file:

- SDL_events.h